# PostgreSQL client Authentication Configuration File
# ===================================================
# See: https://postgrespro.ru/docs/postgresql/14/auth-pg-hba-conf
# local база пользователь                   метод-аутентификации [параметры-аутентификации]
# host  база пользователь адрес             метод-аутентификации [параметры-аутентификации]
# host  база пользователь IP-адрес IP-маска метод-аутентификации [параметры-аутентификации]

{% for item in postgresql_hba_entries %}
{{ item.type }} {{ item.database }} {{ item.user }} {{ item.address|default('') }} {{ item.ip_address|default('') }} {{ item.ip_mask|default('') }} {{ item.auth_method }} {{ item.auth_options|default("") }}
{% endfor %}
